package intrinsic.mx.messaging.events;

public class MessageEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public String messageId;

	/** Variables */
	public intrinsic.mx.messaging.messages.IMessage message;

	/** Constants */
	public static final String MESSAGE = "message";
	public static final String RESULT = "result";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MessageEvent() {
}

public MessageEvent(String arg0) {
}

public MessageEvent(String arg0, boolean arg1) {
}

public MessageEvent(String arg0, boolean arg1, boolean arg2) {
}

public MessageEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.messages.IMessage arg3) {
}


/** Static Methods */
public static native intrinsic.mx.messaging.events.MessageEvent createEvent(String arg0, intrinsic.mx.messaging.messages.IMessage arg1);

/** Methods */
public native Object clone();
public native String toString();

}
